net.corda.node.services.transactions

## Class PersistentUniquenessProvider

- SingletonSerializeAsToken
- - net.corda.node.services.transactions.PersistentUniquenessProvider

- All Implemented Interfaces:
    SerializeAsToken, UniquenessProvider

      public class PersistentUniquenessProvider
      extends SingletonSerializeAsToken
      implements UniquenessProvider

  A RDBMS backed Uniqueness provider

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PersistentUniquenessProvider.Companion`

    - ### Nested classes/interfaces inherited from interface net.corda.core.node.services.UniquenessProvider

      `UniquenessProvider.Conflict, UniquenessProvider.ConsumingTx`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PersistentUniquenessProvider.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistentUniquenessProvider()` A RDBMS backed Uniqueness provider

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commit(java.util.List<net.corda.core.contracts.StateRef> states, SecureHash txId, Party callerIdentity)` Commits all input states of the given transaction

    - ### Methods inherited from class net.corda.core.serialization.SingletonSerializeAsToken

      `toToken`

    - ### Methods inherited from interface net.corda.core.node.services.UniquenessProvider

      `commit`

    - ### Methods inherited from interface net.corda.core.serialization.SerializeAsToken

      `toToken`

- - ### Field Detail

    - #### Companion

          public static PersistentUniquenessProvider.Companion Companion

  - ### Constructor Detail

    - #### PersistentUniquenessProvider

          public PersistentUniquenessProvider()

      A RDBMS backed Uniqueness provider

  - ### Method Detail

    - #### commit

          public void commit(java.util.List<net.corda.core.contracts.StateRef> states,
                             SecureHash txId,
                             Party callerIdentity)

      Commits all input states of the given transaction